Method: projects.locations.dataStores.updateDocumentProcessingConfig

更新 DocumentProcessingConfigDocumentProcessingConfigDataStore 的單例資源。建立 DataStore 時,這個項目是空的。第一次呼叫這個方法時,系統會設定 DocumentProcessingConfig

系統不支援 updateMask 查詢參數,如果設定此參數,要求會傳回錯誤。如要更新可變動的欄位,請省略 updateMask,並將完整的 DocumentProcessingConfig 做為要求主體傳送。系統會覆寫整個資源,因此請納入所有要保留的值。舉例來說,如要更新版面配置剖析器,請設定 DocumentProcessingConfig.default_parsing_config (或 DocumentProcessingConfig.parsing_config_overrides) 並省略 updateMask。部分欄位 (例如 DocumentProcessingConfig.chunking_config) 不可變動,如果變更會傳回錯誤。

HTTP 要求

PATCH https://discoveryengine.googleapis.com/v1alpha/{documentProcessingConfig.name=projects/*/locations/*/dataStores/*/documentProcessingConfig}

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
documentProcessingConfig.name

string

文件處理設定的完整資源名稱。格式:projects/*/locations/*/collections/*/dataStores/*/documentProcessingConfig

查詢參數

參數
updateMask

string (FieldMask format)

不支援。如果已設定 updateMask,要求會傳回 UnsupportedFieldError。如要更新可變動的欄位,請省略 updateMask;要求主體中的完整 DocumentProcessingConfig 會覆寫現有資源。詳情請參閱方法說明。

這是以半形逗號分隔的完整欄位名稱清單,範例:"user.displayName,photo"

要求主體

要求主體包含 DocumentProcessingConfig 的執行個體。

回應主體

如果成功,回應主體會包含 DocumentProcessingConfig 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

詳情請參閱Authentication Overview

IAM 權限

需要 name 資源的下列 IAM 權限:

  • discoveryengine.documentProcessingConfigs.update

詳情請參閱 IAM 說明文件